Organizations

Update organization timezone

PUT
/api/organizations/{organizationId}/timezone

Updates the organization-level IANA timezone (e.g. "America/New_York"). Validated via Intl.DateTimeFormat. Accessible by ADMIN (own org) and SUPERADMIN (any org).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

organizationId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/organizations/string/timezone" \  -H "Content-Type: application/json" \  -d '{    "timezone": "America/New_York"  }'
{  "success": true,  "data": {    "timezone": "America/New_York"  }}